<?php 
/**
#	Project: PHPDISK File Storage Solution
#	This is NOT a freeware, use is subject to license terms.
#
#	Site: http://www.phpdisk.com
#
#	$Id: main.inc.php 64 2016-07-30 14:01:18Z along $
#
#	Copyright (C) 2008-2016 PHPDisk Team. All Rights Reserved.
#
*/

if(!defined('IN_PHPDISK') || !defined('IN_ADMINCP')) {
	exit('[PHPDisk] Access Denied');
}

switch($action){
	default:

		main_stats();

		$install_dir_exists = is_dir(PHPDISK_ROOT.'install/') ? true : false;
		
		$iconv_support = function_exists('iconv') ? '<span class="txtblue">'.__('yes').'</span>' : '<span class="txtred">'.__('no').'</span>';
		$mbstring_support = function_exists('mb_convert_encoding') ? '<span class="txtblue">'.__('yes').'</span>' : '<span class="txtred">'.__('no').'</span>';
		$post_max_size = ini_get('post_max_size');
		$file_max_size = ini_get('upload_max_filesize');
		$mysql_info = mysql_get_client_info();
		$gd_support = function_exists('gd_info') ? '<span class="txtblue">'.__('yes').'</span>' : '<span class="txtred">'.__('no').'</span>';
		$gd_info_arr = gd_info();
		$gd_info = $gd_info_arr['GD Version'];
		$charset_info = strtoupper($charset);
		$max_user_num = $auth[max_user_num] ? $auth[max_user_num].'人' : '不限';

		$no_update = PHPDISK_ROOT.'system/no_update.php';
		if(file_exists($no_update)){
			$last_up_day = str_replace('<?php exit; ?>','',read_file($no_update));
		}else{
			$last_up_day = '';
		}
		require_once template_echo('main',$admin_tpl_dir,'',1);
}

?>